'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _defineProperty = require('@babel/runtime/helpers/defineProperty');
require('tinycolor2');
var index$1 = require('../../utils/throwOnUndefinedProperty/index.cjs');
require('../../utils/shouldShowForEnvironment/index.cjs');
var index = require('../breakpoints/index.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty__default["default"](target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var mediaQueries = Object.entries(index["default"]).reduce((accumulator, _ref) => {
  var [label, px] = _ref;
  return _objectSpread(_objectSpread({}, accumulator), {}, {
    ["".concat(label, "Up")]: "@media (min-width: ".concat(px, "px)")
  });
}, {});
var MEDIA_QUERIES = index$1["default"](mediaQueries);

exports["default"] = MEDIA_QUERIES;
