'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var PropTypes = require('prop-types');
var primaryTheme = require('./primaryTheme.cjs');
var secondaryTheme = require('./secondaryTheme.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var BORDER_RADIUS_PROP_TYPES = PropTypes__default["default"].oneOf(
/*
 * Since usage relies on keys, we only need to pull
 * the keys from one theme rather than all of them
 */
Object.keys(primaryTheme.primaryTheme.BORDER_RADIUS));
var COLORS_PROP_TYPES = PropTypes__default["default"].oneOf([...Object.values(primaryTheme.primaryTheme.COLORS), ...Object.values(secondaryTheme.secondaryTheme.COLORS)]);

exports.BORDER_RADIUS_PROP_TYPES = BORDER_RADIUS_PROP_TYPES;
exports.COLORS_PROP_TYPES = COLORS_PROP_TYPES;
