import PropTypes from 'prop-types';
import { primaryTheme } from './primaryTheme';
import { secondaryTheme } from './secondaryTheme';
declare type BorderRadius = typeof primaryTheme['BORDER_RADIUS'] | typeof secondaryTheme['BORDER_RADIUS'];
export declare const BORDER_RADIUS_PROP_TYPES: PropTypes.Requireable<"small" | "medium" | "large">;
declare type BoxShadows = typeof primaryTheme['BOX_SHADOWS'] | typeof secondaryTheme['BOX_SHADOWS'];
export declare type Colors = typeof primaryTheme['COLORS'] | typeof secondaryTheme['COLORS'];
declare type Fonts = typeof primaryTheme['FONTS'] | typeof secondaryTheme['FONTS'];
declare type Typography = typeof primaryTheme['TYPOGRAPHY'] | typeof secondaryTheme['TYPOGRAPHY'];
export declare type ThemeColors = valueof<Colors>;
export declare const COLORS_PROP_TYPES: PropTypes.Requireable<"#332E54" | "#524D6E" | "#706D87" | "#C3C0CD" | "#E1E0E6" | "#A6A1E2" | "#B8B4E8" | "#CAC7EE" | "#EFEEF7" | "#F8F8FA" | "#EDEDF0" | "#2B6E33" | "#EAF1EB" | "#DFE9E0" | "#BD200F" | "#F7EAE8" | "#F3DEDC" | "#554CB3" | "#EEEDF7" | "#E5E3F3" | "rgba(45, 45, 48, 0.7)" | "#2D2D30" | "#000000" | "#FFFFFF" | "transparent" | "#2D2926" | "#F2F0EF" | "#F3EA5D" | "#FCF4A8" | "#FDF7BE" | "#FDF9D3" | "#FEFCE5" | "#CBC5BF" | "#D8D3CF" | "#E5E2DF" | "#2C2A25" | "#F0EEEC" | "#406237" | "#ECEFEB" | "#A33F29" | "#F6ECEA" | "#FFFDF2" | "#C4BFB7" | "rgba(45, 41, 38, 0.7)">;
export interface ThemeType {
    BORDER_RADIUS: BorderRadius;
    BOX_SHADOWS: BoxShadows;
    COLORS: Colors;
    FONTS: Fonts;
    TYPOGRAPHY: Typography;
    __type: 'primary' | 'secondary';
}
export {};
//# sourceMappingURL=types.d.ts.map