import React from 'react';
export declare type SelectorType = 'radio' | 'checkbox';
export declare type SizeType = 'large' | 'small';
export declare type StyleType = 'primary' | 'secondary';
export interface SelectorButtonProps {
    checked: boolean;
    children?: React.ReactNode;
    disabled?: boolean;
    icon?: React.ReactNode;
    onClick?: (event: React.MouseEvent<HTMLDivElement, MouseEvent> | React.KeyboardEvent) => void;
    selector?: SelectorType;
    size?: SizeType;
    type?: StyleType;
    [key: string]: unknown;
}
export declare const SelectorButton: React.FC<SelectorButtonProps>;
//# sourceMappingURL=index.d.ts.map