import 'react';
import PropTypes from 'prop-types';
import Style from './style.js';
import { jsx } from '@emotion/react';

var FadeInContainer = _ref => {
  var {
    children,
    slide = false,
    speed = '350ms'
  } = _ref;
  return jsx(Style.FadeInContainer, {
    withSlide: slide,
    animationSpeed: speed
  }, children);
};
FadeInContainer.propTypes = {
  children: PropTypes.node.isRequired,
  slide: PropTypes.bool,
  speed: PropTypes.string
};
var {
  opacityInAnimationStyle
} = Style;

export { FadeInContainer, opacityInAnimationStyle };
