import PropTypes from 'prop-types';
declare const SECONDARY_COLORS: {
    readonly primary: "#2D2926";
    readonly primaryTint1: "#2D2926";
    readonly primaryTint2: "#2D2926";
    readonly primaryTint3: "#2D2926";
    readonly primaryTint4: "#F2F0EF";
    readonly secondary: "#F3EA5D";
    readonly secondaryTint1: "#FCF4A8";
    readonly secondaryTint2: "#FDF7BE";
    readonly secondaryTint3: "#FDF9D3";
    readonly secondaryTint4: "#FEFCE5";
    readonly tertiary: "#CBC5BF";
    readonly tertiaryTint1: "#D8D3CF";
    readonly tertiaryTint2: "#E5E2DF";
    readonly tertiaryTint3: "#F2F0EF";
    readonly tertiaryTint4: "#F2F0EF";
    readonly default: "#2C2A25";
    readonly defaultLight: "#F0EEEC";
    readonly defaultBorder: "#F0EEEC";
    readonly success: "#406237";
    readonly successLight: "#ECEFEB";
    readonly successBorder: "#ECEFEB";
    readonly error: "#A33F29";
    readonly errorLight: "#F6ECEA";
    readonly errorBorder: "#F6ECEA";
    readonly info: "#2C2A25";
    readonly infoLight: "#FDF9D3";
    readonly infoBorder: "#FDF9D3";
    readonly background: "#FFFDF2";
    readonly backgroundDark: "#C4BFB7";
    readonly overlay: "rgba(45, 41, 38, 0.7)";
    readonly overlaySolid: "#2D2926";
    readonly border: "#E5E2DF";
    readonly textDisabled: "#CBC5BF";
    readonly black: "#2D2926";
    readonly white: "#FFFDF2";
    readonly transparent: "transparent";
};
export declare const SECONDARY_COLORS_PROP_TYPES: PropTypes.Requireable<"transparent" | "#2D2926" | "#F2F0EF" | "#F3EA5D" | "#FCF4A8" | "#FDF7BE" | "#FDF9D3" | "#FEFCE5" | "#CBC5BF" | "#D8D3CF" | "#E5E2DF" | "#2C2A25" | "#F0EEEC" | "#406237" | "#ECEFEB" | "#A33F29" | "#F6ECEA" | "#FFFDF2" | "#C4BFB7" | "rgba(45, 41, 38, 0.7)">;
export default SECONDARY_COLORS;
//# sourceMappingURL=secondary.d.ts.map