'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('@babel/runtime/helpers/extends');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
require('react');
var PropTypes = require('prop-types');
var style$1 = require('../../style.cjs');
var style = require('./style.cjs');
var react = require('@emotion/react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);
var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var _excluded = ["children", "disabled", "onClick"];
var TextButton = _ref => {
  var {
    children,
    disabled = false,
    onClick = () => undefined
  } = _ref,
      rest = _objectWithoutProperties__default["default"](_ref, _excluded);

  return react.jsx(style["default"].BaseTextButton, _extends__default["default"]({
    disabled: disabled,
    onClick: !disabled ? onClick : event => {
      event.preventDefault();
    } // eslint-disable-next-line react/jsx-props-no-spreading

  }, rest), react.jsx(style$1.ButtonContents, {
    hasIcon: false,
    isFullWidth: false,
    isLoading: false
  }, children));
};
TextButton.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  disabled: PropTypes__default["default"].bool,
  onClick: PropTypes__default["default"].func
};

exports.TextButton = TextButton;
