'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
var style = require('./style.cjs');
var react = require('@emotion/react');

var Loader = _ref => {
  var {
    buttonColor,
    buttonType,
    className = '',
    disabled,
    isFullWidth = false,
    isLoading,
    textColor
  } = _ref;
  return react.jsx(style["default"], {
    buttonColor: buttonColor,
    buttonType: buttonType,
    className: className,
    disabled: disabled,
    isFullWidth: !!isFullWidth,
    isLoading: isLoading,
    textColor: textColor
  }, react.jsx("div", null, react.jsx("span", null), react.jsx("span", null), react.jsx("span", null)));
};

exports["default"] = Loader;
