import React from 'react';
export interface OffClickWrapperProps {
    /**
     * Content/container that ignores clicks inside it
     */
    children: React.ReactNode;
    className?: string;
    /**
     * Function invoked when clicking outside of the children content
     */
    onOffClick: (event: KeyboardEvent | MouseEvent) => void;
}
export declare const OffClickWrapper: React.FC<OffClickWrapperProps>;
//# sourceMappingURL=index.d.ts.map