'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
var PropTypes = require('prop-types');
var style = require('./style.cjs');
var react = require('@emotion/react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var FadeInContainer = _ref => {
  var {
    children,
    slide = false,
    speed = '350ms'
  } = _ref;
  return react.jsx(style["default"].FadeInContainer, {
    withSlide: slide,
    animationSpeed: speed
  }, children);
};
FadeInContainer.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  slide: PropTypes__default["default"].bool,
  speed: PropTypes__default["default"].string
};
var {
  opacityInAnimationStyle
} = style["default"];

exports.FadeInContainer = FadeInContainer;
exports.opacityInAnimationStyle = opacityInAnimationStyle;
