'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var uniqueid = require('lodash.uniqueid');
var react = require('@emotion/react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var uniqueid__default = /*#__PURE__*/_interopDefaultLegacy(uniqueid);

var formatMessage = message => {
  if (Array.isArray(message)) {
    var mapResult = message.map(value => react.jsx(React__default["default"].Fragment, {
      key: uniqueid__default["default"]()
    }, value));
    return react.jsx(React__default["default"].Fragment, null, mapResult.reduce((prev, curr) => react.jsx(React__default["default"].Fragment, null, prev, ', ', curr)));
  }

  return message;
};

exports["default"] = formatMessage;
